Subject: RE: DHCP option tags for SIP

From: "Glenn Morrow" <[email-masked]>
Date: Mon, 21 Feb 2000 14:32:24 -0600

Below

> -----Original Message-----
> From:	Jonathan Rosenberg [SMTP:[email-masked]]
> Sent:	Monday, February 21, 2000 10:44 AM
> To:	Morrow, Glenn [RICH2:C301:EXCH]
> Cc:	Francois Menard List Account; James Kempf; [email-masked];
> [email-masked]; [email-masked]
> Subject:	Re: DHCP option tags for SIP
> 
> 
> 
> > Glenn Morrow wrote:
> > 
> > Why can't the downloaded UAS, by bootp or other means, simply have the
> > configured proxy address? The configuration can be changed later with
> > SIP signaling without reboot for the in-service cases.
> 
> The place I download my client from is generally unrelated to my service
> provider (I downloaded Netscape from Netscapes site... has nothing to do
> with my ISP). 
> 
	TRUE but ISPs can download software too using the same method while
the UAS is being used (inservice). DHCP usually get invoked at boot-up. Some
ISPs use DHCP right to the customers devices, others do not.

> Even presuming you did this, how does one change this later with SIP
> signaling? Changing this is exactly what DHCP or SLP is desired for...
	Are you trying to convince people that SIP can't do this? I believe
there are many methods that could be used to facilitate this.
INVITE/BYE/CANCEL CONTACT header, Registration, Options, etc..

> > If we do go forward with these changes, what do think SG-16 will want
> > to do in another month?
> 
> I'm not sure I understand this... is SG16 planning some kind of activity
> in this area (SIP configuration)?
	That would be something.

	What I mean is: " Perhaps one  might also wish to include H.323
Gatekeeper address discovery extensions for DHCP, too". 

	Would you support this? 

	What would be your reasoning for not supporting this? 

	I think you might find yourself repeating the arguments above and
others of the chain. 

	If not, you might as well go ahead and change the draft to include
H.323 gatekeeper discovery as well. 

	Don't get me wrong. I'm just trying to offer some constructive
criticism. 

	There is no hidden agenda on changing DHCP. There are simply other
ways to accomplish the function desired without it.

> -Jonathan R.
> 
> -- 
> Jonathan D. Rosenberg                       200 Executive Drive
> Chief Scientist                             Suite 120 
> dynamicsoft                                 West Orange, NJ 07052
> [email-masked]                     FAX:   (732) 741-4778
> http://www.cs.columbia.edu/~jdrosen         PHONE: (732) 741-7244
> http://www.dynamicsoft.com
>

---

From: Jonathan Rosenberg <[email-masked]>
Date: Mon, 21 Feb 2000 15:56:48 -0500

> Glenn Morrow wrote:
\
>      TRUE but ISPs can download software too using the same method
>      while the UAS is being used (inservice). DHCP usually get invoked
>      at boot-up. Some ISPs use DHCP right to the customers devices,
>      others do not.

I don't follow what you are trying to say here.

>      Are you trying to convince people that SIP can't do this? I
>      believe there are many methods that could be used to facilitate
>      this. INVITE/BYE/CANCEL CONTACT header, Registration, Options,
>      etc..

All of these things assume you have a server to talk to in the first
place. Thats the problem we are trying to solve.

>      Gatekeeper address discovery extensions for DHCP, too".

Its not for me to support or not support. The SIP wg doesn't work on
H.323, ITU SG16 does. If they want to register DHCP options for
gatekeepers, fine with me. 

-Jonathan R.